Welcome to MCAD Central

Join our MCAD Central community forums, the largest resource for MCAD (Mechanical Computer-Aided Design) professionals, including files, forums, jobs, articles, calendar, and more.

Register Log in

Updating a sketch in a Revolved Protrusion

romaxtech

New member
We created a revolved protrusion complete with a sketch ( ProSection ), and then we needed to change the sketch through code. We deleted all of the point entities from the sketch, added the new ones and then ran ProSectionRegenerate() which returned PRO_TK_NO_ERROR. However, the sketch in the model remained unaltered. We then tried running ProFeatureRedefine() on the revolved protrusion feature, again this returned NO_ERROR, but the sketch that was defined in the feature remained unaltered. When we run ProFeatureElemtreeCreate() and query the tree, it appears to point to the newly created sketch ( the points are as we expect ), yet the main ProE GUI does not agree.



We have also tried renaming the sketch using ProSectionNameSet() before we regenerate it, and this results in the ProE session having two sketches ( the old name and the new name ) yet the feature still appears to contain the old sketch.



Anyone seen similar behaviour before or have any ideas what we might be doing wrong?



Cheers



Dave & Sean, Romax Technology
 

Sanjay Meher

New member
Hi romax,


I don't know whether your problem got solved or not? But if it is solved then please help me because I am facing the same problem


Thanks
 

Sponsor

Top